blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
f8e44318495567e2af75dca74df202df55bb9bde
Shell
containers/podman
/hack/podmanv2-retry
UTF-8
1,021
4.03125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # podman-try - try running a command via PODMAN1; use PODMAN2 as fallback # # Intended for use with a podmanv2 client. If a command isn't yet # implemented, fall back to regular podman: # # Set PODMAN_V2 to the path to a podman v2 client # Set PODMAN_FALLBACK to the path to regular podman # ...
true
d37941b31f1d28b98a00c285e06ec078771306eb
Shell
deorelaLara/bash
/install-pfa-gen.sh
UTF-8
22,070
3.671875
4
[ "MIT" ]
permissive
#!/bin/bash # Copyright Rimuhosting.com # script to install postfix configs for postfixadmin # # distro agnostic # # TODO: improve mysql configuration and dependency # TODO: improve services restarts, upstart, different names for init scripts, etc. # echo "This script is currently NOT maintained. Use for testing onl...
true
e2c8eaad0f21d0e2d72aceed6826aeb5d5eabcdf
Shell
pavan-shigehalli/Natural_Language_Understanding
/WordNet/validate_wordnet.sh
UTF-8
2,702
3.953125
4
[]
no_license
#!/bin/bash # runs the ML program. # monitors the CPU temperature and system memory # in case of critical temperature, program is paused and # resumed after the temperature returns to a normal value # in case of complete memory usage program is shut down and # restarted after some time script_path=$(dirname "$0") log...
true
72d01c96d51a2afb92c35f11b24faaf769c4c708
Shell
catesandrew/dotfiles
/home/Library/Application Support/MailMate/Bundles/org-mode.mmbundle/Support/bin/setup_file
UTF-8
286
2.8125
3
[ "LicenseRef-scancode-boost-original" ]
permissive
#!/bin/bash orgfile=`defaults read com.freron.MailMate MmOrgModeInbox` orgfile=`osascript -e 'POSIX path of (choose file with prompt "Choose a org-mode file to append to:" of type {"org", "txt"})'` defaults write com.freron.MailMate MmOrgModeInbox -string "${orgfile}" echo ${orgfile}
true
203a8294004078c2922594212c851c438901d5b4
Shell
svigerske/gamsworhp
/gamsinstwin.sh
UTF-8
2,105
3.46875
3
[]
no_license
#!/bin/bash # Copyright (C) 2011 GAMS Development and others # All Rights Reserved. # This file is distributed under the Eclipse Public License. # # Author: Michael Bussieck, Stefan Vigerske gamspath="$1" if test -z "$gamspath" ; then echo "Need to get path of GAMS system as first argument." exit 1 fi gmscmp=${g...
true
3c515a0d099a9df8edae3aae6bbbc9b2015f2b3b
Shell
namdev1994/FlipCoinSimulator
/flipCoinSimulator.sh
UTF-8
478
3.015625
3
[]
no_license
Head=0 Tail=0 function flipCoin(){ randm=$((RANDOM%2)) if [ $randm -eq 1 ] then ((Head++)) else ((Tail++)) fi } while [ $Head -ne 21 -a $Tail -ne 21 ] do flipCoin done if [ $Head -eq $Tail ] then while [ $(($Head-$Tail)) -ne 2 -a $(($Tail-$Head)) -ne 2 ] do flipCoin done elif [ $Head -gt ...
true
89b237110a2babe185f5424f20b12f98b4655ea7
Shell
dmarczydlo/smogApp
/scripts/release.sh
UTF-8
522
2.828125
3
[]
no_license
#!/bin/bash file="./android//keystores/release.keystore" if [ -f "$file" ] then echo "$file exist" else keytool -genkey -v -keystore ./android/keystores/release.keystore -alias release -keyalg RSA -keysize 2048 -validity 10000 fi cd android && ./gradlew assembleRelease pwd jarsigner -verbose -sigalg SHA1withRSA -di...
true
bc2f03e83d290fc4a51a00403f5e85e502c35bd8
Shell
p-mcgowan/home
/bin/zgit
UTF-8
3,606
3.609375
4
[]
no_license
#!/bin/bash set -e -o pipefail shopt -s extglob cd $(git rev-parse --show-toplevel) thisBranch=${2:-$(git rev-parse --abbrev-ref HEAD)} url=$(git remote get-url --push origin |awk -F '@' '{ sub(/:/, "/");sub(/\.git/, ""); print($2) }') page= usage="$(basename $0) [page] will open to the repo page page: -b, --bran...
true
5eef7082aea4a1248585af0c6059e19f9c775d8f
Shell
szks/gfk_aics
/bin/makePrimer.sh
UTF-8
2,442
2.625
3
[ "MIT" ]
permissive
#! /bin/bash # # Copyright Human Genome Center, Institute of Medical Science, the University of Tokyo # @since 2012 # set -e -o pipefail GFKDIR=$1 SHAREDDIR=$2 rank=$3 myrank=0 . $GFKDIR/common.sh #RUN cp ${SHAREDDIR}/allGenes.fasta ./transcripts.allGene_cuff.${rank}.fasta RUN ln -s ${SHAREDDIR}/allGenes.fasta ./t...
true
574041d507d336cba7760713b2e9dc5323225f01
Shell
PacktPublishing/Raspberry-Pi-Making-Amazing-Projects-Right-from-Scratch-
/Module 2/Chapter 09/alarm-control.sh
UTF-8
10,446
3.375
3
[ "MIT" ]
permissive
#!/bin/bash #/etc/pi-alarm/alarm-control.sh ALM_BELL_DURATION=600 #duration in seconds the alarm bell should sound for ALM_EXIT_DELAY=30 #entry/exit zone delay in seconds ALM_KEY_ARMED=0 #status of the arm/disarm key switch ALM_SYS_ARMED=0 #armed status of the system ALM_ZONE_INPUT_READ="" #this will store the v...
true
bc113dc694a752d72b5fb085b18bb5e4685d6874
Shell
muyuanqiang7/python-demo
/shell/processControl.sh
UTF-8
2,436
4.28125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # shell 流程控制 # 和Java、PHP等语言不一样,sh的流程控制不可为空 # if condition # then # command1 # command2 # ... # commandN # fi # if-else # if condition # then # command1 # command2 # ... # commandN # else # command # fi a=10 b=20 if [ ...
true
81f85d498ebdddffa18c1b8f61f1c49700e0d9f0
Shell
Xanthorrhizol/apk_ip_hunter
/apk_ip_hunter
UTF-8
1,432
3.8125
4
[]
no_license
#!/usr/bin/bash if [ $# -eq 0 ]; then echo -e "\nUsage: $0 [option] <filename or directory>\n\nOptions\n\t-t : add traceroute result\n" exit -1 else if [ $# -eq 2 ]; then input=$2 else input=$1 fi if [ -d $input ]; then dir=$(pwd) cd $input file=($(ls)) for(( i=0; ${#file[$i]}>0; i++ )) do apk_i...
true
d898baf866beb1a6d47aa9bc088645f08f737c53
Shell
haru8/dotfiles
/.bashrc
UTF-8
623
2.6875
3
[]
no_license
# .bashrc # Source global definitions if [ -f /etc/bashrc ]; then . /etc/bashrc fi # User specific aliases and functions export EDITOR=vim export PAGER='less -iM -j5 -x4 -X' export HISTFILESIZE=1000000 export HISTSIZE=5000 export HISTCONTROL=ignoreboth export HISTTIMEFORMAT='%Y-%m-%d %T ' if [ -f ~/.alias ]; ...
true
af0743f16250596323e3043424d16edc36fbb934
Shell
saipranav/get-started-mesos
/01-docker/install.sh
UTF-8
816
3.03125
3
[]
no_license
#!/bin/bash ## Installing docker # https://docs.docker.com/engine/installation/linux/ubuntu/#install-using-the-repository # Prerequisites sudo apt-get update -y sudo apt-get install -y apt-transport-https ca-certificates curl software-properties-common # Add the docker gpg key curl -fsSL https://download.docker.com/...
true
0b3934fa5ae5db8394261df064703b7f341b7a8c
Shell
alfredyu2017/dsb_model
/scripts/cancerSV_scripts/get_random_bkptcounts_icgc2.sh
UTF-8
1,037
2.84375
3
[ "MIT" ]
permissive
#!/bin/bash # run this via the command: # qsub -t 1-n -v BEDLIST=bedfiles.list -v BINS=hg19_50kb_bins.bed -v OUT=outdir get_random_bkptcounts_icgc.sh #$ -N randbkpt #$ -cwd #$ -l h_rt=48:00:00 #$ -l h_vmem=5G #$ -j y #$ -v R_LIBS_USER=/exports/igmm/eddie/NextGenResources/software/R/x86_64-pc-linux-gnu-library/3.2...
true
0cdd8e180d8c0bb3d538a8bef004deeefc72e4ac
Shell
valetedo/terraform-azure-hashiconf2020
/.github/actions/terraform-azcli/entrypoint.sh
UTF-8
373
3.203125
3
[ "LicenseRef-scancode-generic-cla", "MIT" ]
permissive
#!/bin/sh set -e export VARIABLES=$INPUT_VARIABLES export INPUT_PATH=$INPUT_PATH cd /github/workspace/$INPUT_PATH var_args="" VARIABLES=$(echo "$VARIABLES" | tr "," "\n") for var in $VARIABLES; do var_args="$var_args -var $var" done echo "terraform apply -no-color -input=false -auto-approve $var_args" terraform ...
true
8b9bc4e6b969685ea32b4bdbbd24e81f3a63dfd4
Shell
cryptk/hassio-addon-s3-snapshot-sync
/s3-snapshot-sync/run.sh
UTF-8
801
3.09375
3
[ "MIT" ]
permissive
#!/usr/bin/with-contenv bashio KEY=$(bashio::config 'aws_access_key_id') SECRET=$(bashio::config 'aws_secret_access_key') BUCKET=$(bashio::config 's3_bucket_name') aws configure set aws_access_key_id "$KEY" aws configure set aws_secret_access_key "$SECRET" if bashio::config.has_value 's3_endpoint_url'; then bashio:...
true
be33f1749f2c38b5dee6e5627acc9c0fd430d50d
Shell
peterschmid/spi
/level.sh
UTF-8
508
3.53125
4
[]
no_license
#!/bin/bash DATE=$(date +'%Y_%m_%d') DATETIME=$(date +'%d.%m.%Y;%H:%M:%S') FILENAME="waterlevel_$DATE.csv" #print header if file not existing if [ ! -f $FILENAME ] then echo "Date;Time;Level" > $FILENAME fi #call SPI bin and store return code #LEVEL_CM=$(echo $(./OutBinStub)) LEVEL_CM=$(echo $(./readSpiCh0mcp300...
true
050db55fa58d755bea7e00fc7fc466826a160785
Shell
rowanpang/noteGit
/encoding/charset/charset_test.sh
UTF-8
3,740
3.53125
4
[]
no_license
#!/bin/bash ########################################################## # author :pangwz pangweizhenbj@inspur.com # date :2015-3-5 # describe:Used for test Unicode Support,test result display at the end!!! ########################################################## #-----------debug info dynamic debugEnable=true fun...
true
0eef61582cf40ac6809559370e4839b11c874f98
Shell
bryanhann/manjaro
/update.sh
UTF-8
1,510
3.5625
4
[]
no_license
[[ "$0" == "./update.sh" ]] || { echo "try './update.sh' "; exit; } logdir=~/.logs/updates mkdir -p $logdir function log { logfile=$logdir/$( date "+%Y-%m-%d-T-%H-%M-%S" ) echo "=========================================================" >> $logfile echo $logfile >> $logfile e...
true
39f5ac06142a01c5689c488a174f4a58ac064d26
Shell
banqusli/first
/praxis/IT2008/startscript
UTF-8
1,417
4.09375
4
[]
no_license
#!/bin/bash # Startet / Stopt xterm # Es fehlt noch de Exit-Status für die Aktionen PIDFILE=xtermpid case $1 in start) echo "Starte Service xterm" if [ -f $PIDFILE ] then echo "Service xterm ist schon gestartet!" else xterm & # Besser: mit timeout nach PID suchen PID=`ps | grep xterm | ...
true
2a9f8503fdf96d76e799c0b59a30b742f7a1c15d
Shell
StoddardOXC/minicom
/run.sh
UTF-8
420
3.15625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh PREFIX=${HOME}/projects/prefix LIBPREFIX=${PREFIX}/lib BINPREFIX=${PREFIX}/bin PYTHONVER=`python3 -c 'import sys; v=sys.version_info; print(".".join(map(str, (v.major, v.minor))))'` export LD_LIBRARY_PATH=${LIBPREFIX} export PYSDL2_DLL_PATH=${LIBPREFIX} export PYTHONPATH=${LIBPREFIX}/python${PYTHONVER}/sit...
true
0a81d47847e74367ad50c992c5e0724c33b5db0d
Shell
yasu-s-nttr/mob-map
/docker/deploy.sh
UTF-8
2,800
3.734375
4
[]
no_license
#!/bin/bash # 実行時に指定された引数の数、つまり変数 $# の値が 2 以上でなければエラー終了。 if [ $# -lt 2 ]; then echo "指定された引数は$#個です。" 1>&2 echo "実行するには2個以上の引数が必要です。" 1>&2 echo "Usage: deploy.sh {dev|pro} {start|stop}" 1>&2 echo " or deploy.sh pro {config|imagepush}" 1>&2 exit 1 fi ENV=$1 COMMAND=$2 ACCESS_KEY=$3 SECRET_KEY=$4 IMAGE_NAME...
true
c76d7631a3f2a96bec4bbf33ebb0d646e2cded0e
Shell
LelandSindt/hydrator
/etc/service/nginx/run
UTF-8
280
2.8125
3
[ "MIT" ]
permissive
#!/bin/sh exec 2>&1 source /etc/envvars echo " ==== starting 'nginx -c /etc/nginx/nginx.conf' " /usr/sbin/nginx -c /etc/nginx/nginx.conf -g "daemon off;" if [ $? -ne 0 ]; then echo " ==== unable to start 'nginx -c /etc/nginx/nginx.conf' (sleeping 30 seconds) " sleep 30 fi
true
03e52d10c4d0650b62bd7c844c6bb7c06db8880f
Shell
ma2o/VarCap
/scripts/run_snpeff_42_ann.sh
UTF-8
1,177
2.984375
3
[]
no_license
#!/bin/bash #$-q all.q@cube[ab]* REF_FILE=$1 VCF_FILE=$2 SNPEFF_DATA=$3 SNPEFF_PATH=$4 SNPEFFDIR=/scratch/zojer/projects/snpeff/4.2 REF_NAME=NC_005861_PAC_03_d38_d63_d20_i46_s REF_NAME=$REF_FILE CH_NAME=NC_015702.1 ### 1. Copy and modify the config file cp $SNPEFF_PATH/snpEff.config $SNPEFF_DATA/ sed -i 's|data.dir =...
true
907b4d07520e932e924a4272712ace7980c65e18
Shell
crystalshashi/testpfd
/install/bash/pre-install.sh
UTF-8
350
3.234375
3
[]
no_license
#!/bin/bash # create groups/users when first version installed if [[ "$1" == "1" ]]; then /usr/bin/getent group "appadmin" 1>/dev/null 2>/dev/null \ || /usr/sbin/groupadd -g 7200 "appadmin" /usr/bin/getent passwd "app" 1>/dev/null 2>/dev/null \ || /usr/sbin/useradd -m -u 7200 -g "app...
true
0228e5620772f9a8832989c8933c88a9e5e76620
Shell
confusdcodr/terraform-guardduty-demo
/scripts/recon.sh
UTF-8
1,814
2.84375
3
[]
no_license
#Copyright 2017 Amazon.com, Inc. or its affiliates. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"). # You may not use this file except in compliance with the License. # A copy of the License is located at # # http://www.apache.org/licenses/LICENSE-2.0 # # or in the "lic...
true
30d8e1137ba03ba8c70e4514b8ea11cdd8c7ba92
Shell
arpa2/mkhere
/dialog.sh
UTF-8
752
3.046875
3
[]
no_license
#!/bin/bash # # dialog build script . $(dirname "$0")/lib/stdlib #TODO# Use $VERSION do_update () { cd "$DIR_FETCH" # Note: unversioned download... empty_dir wget https://invisible-island.net/datafiles/release/dialog.tar.gz cd "$DIR_SRC" empty_dir tar -xzvf "$DIR_FETCH/dialog.tar.gz" mv dialog-* dialog do_t...
true
684e8eb5b06974a946edabc60d1f29ffd6d623e7
Shell
zsh-users/zsh
/Functions/VCS_Info/Backends/VCS_INFO_get_data_fossil
UTF-8
672
2.96875
3
[ "LicenseRef-scancode-zsh" ]
permissive
## vim:ft=zsh ## fossil support by: Mike Meyer (mwm@mired.org) ## Distributed under the same BSD-ish license as zsh itself. setopt localoptions extendedglob local a b local -A fsinfo local fshash fsbranch changed merging action ${vcs_comm[cmd]} status | while IFS=: read a b; do fsinfo[${a//-/_}]="${b## #}" ...
true
760371529ec09b2e6a6a375ec938df2d8d9d1c3c
Shell
escenic/ece-scripts
/usr/share/escenic/ece-scripts/ece.d/clean.sh
UTF-8
620
3.4375
3
[ "Apache-2.0" ]
permissive
function clean_up() { if [[ "$type" == "engine" && -e "$assemblytool_home/build.xml" ]]; then print "Cleaning up generated files in $assemblytool_home ..." run cd $assemblytool_home run ant clean fi if [[ $appserver == "tomcat" ]]; then local dir_list=" $tomcat_base/work $tomcat_base...
true
663d71174b153299b0a59b8d073613b416918817
Shell
sparkoo/che-auth-playground_bck
/minikube_dex/03_dex.sh
UTF-8
448
2.609375
3
[]
no_license
#!/bin/bash MINIKUBE_DOMAIN=$( minikube ip ).nip.io # prepare namespace with cert and github oauth secrets kubectl create secret tls dex.tls --cert=ssl/cert.pem --key=ssl/key.pem -n dex kubectl create secret -n dex \ generic github-client \ --from-literal=client-id="${GITHUB_CLIENT_ID}" \ --from-literal=c...
true
dfa2c9d7090801b5f4265f5305c9aa8a99927505
Shell
ryry0/Rpaca-Repository
/mesalib.rpac
UTF-8
1,047
3.265625
3
[]
no_license
#!/bin/bash # may need to install elfutils, libvdpau (for NVIDIA), and LLVM-3.7 for radeon drivers # Overloaded variables: PKG="mesa" VER="10.6.6" EXT="tar.xz" # extension of download URL="ftp://ftp.freedesktop.org/pub/$PKG/older-versions/10.x/$VER/$PKG-$VER.$EXT" DESCRIPTION="Mesa is an OpenGL compatible 3D graphics ...
true
00e2af60b94e8d2f3d1cc7d98bcd4aeac6fc7689
Shell
nemac/raster-helpers
/batch_rstats.sh
UTF-8
352
3.5625
4
[]
no_license
#!/bin/bash # Remove trailing slashes rasters_dir=$(echo $1 | sed -e 's/\/$//g') out_dir=$(echo $2 | sed -e 's/\/$//g') for file_path in $(ls $rasters_dir/*.tif) do tif=$(basename $file_path) meta_file=$tif.meta.json echo "Outputting metadata for $(basename $tif) to $out_dir/$meta_file..." rio info -v $file_p...
true
378662793868be7f15673d6c5f16a2b89db903ce
Shell
Karanxa/sifnode
/test/integration/sifchain_ebrelayer_replay_ethereum.sh
UTF-8
737
2.96875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Sifnode entrypoint. # fromBlock=$1 shift toBlock=$1 shift set -xe . $TEST_INTEGRATION_DIR/vagrantenv.sh echo ETHEREUM_WEBSOCKET_ADDRESS $ETHEREUM_WEBSOCKET_ADDRESS echo MONIKER $MONIKER echo MNEMONIC $MNEMONIC if [ -z "${EBDEBUG}" ]; then runner=ebrelayer else cd $BASEDIR/cmd/ebrelayer runne...
true
ad38098badbe836684a197174c825e1200fc0f29
Shell
ahilmathew/wordpresscfn
/deploy_stack.sh
UTF-8
3,727
4.34375
4
[]
no_license
#!/usr/bin/env bash #set -x usage="Usage: $(basename "$0") region stack-name template [aws-cli-opts] where: region - the AWS region stack-name - the stack name template - the cloudformation template to deploy aws-cli-opts - extra options passed directly to create-stack/update-stack " if [ "$1" == "...
true
00b45a11cb99fbc5acf92b8f7d861ae694a529cb
Shell
briancsparks/js-cluster
/build-scripts/build-instance
UTF-8
6,154
3.1875
3
[ "MIT" ]
permissive
#!/bin/bash -e [[ -n $NAMESPACE ]] && namespace="$NAMESPACE" [[ -n $SERVERASSIST_DB_IP ]] && db="$SERVERASSIST_DB_IP" [[ -n $SERVERASSIST_DB_HOSTNAME ]] && db="$SERVERASSIST_DB_HOSTNAME" [[ -n $SERVERASSIST_UTIL_IP ]] && util="$SERVERASSIST_UTIL_IP" [[ -n $SERVERASSIST_UTIL_HOS...
true
4d5ff4fdd167550307ed33fd8fe8a729982a4739
Shell
turbo/containers
/whd/scripts/entrypoint.sh
UTF-8
6,329
3.203125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright 2016 SolarWinds Worldwide, LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicabl...
true
551f4920235f8558ef5aebb93f33d53131b38652
Shell
scast/continuity-test
/docker/entrypoints/web.sh
UTF-8
777
3.4375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # A reference entrypoint for running a django gunicorn webserver. export DBUSER=postgres export DBNAME=jenkins-test export DBHOST=$POSTGRES_PORT_5432_TCP_ADDR export DBPORT=$POSTGRES_PORT_5432_TCP_PORT # Check that the database does not exist. if ! psql -lqt -h $DBHOST -p $DBPORT -U $DBUSER | cut -d \| -...
true
52c433ddc8d1fb7be40a1a48572a1ae57d280103
Shell
mikesneider/servioticy-vagrant
/puppet/scripts/stopAll.sh
UTF-8
1,136
2.9375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash . /opt/servioticy_scripts/env.sh echo Stopping servIoTicy services... #Stop ALL sudo /etc/init.d/couchbase-server stop &> /dev/null sudo /etc/init.d/jetty stop &> /dev/null sudo /etc/init.d/elasticsearch-serviolastic stop &> /dev/null sudo /etc/init.d/nginx stop &> /dev/null forever stopall &> /dev/null ...
true
c19e92f073f89c1ddb41a1824426bed0a652a236
Shell
avano/vanan-zsh-theme
/vanan.zsh-theme
UTF-8
1,297
3.328125
3
[]
no_license
GREEN="%F{46}" WHITE="%F{255}" YELLOW="%F{190}" CYAN="%F{45}" BLUE="%F{26}" RED="%F{196}" GRAY="%F{240}" NC="%f" get_git_status() { # If not inside git dir, return empty string OUTPUT="" git rev-parse --is-inside-work-tree > /dev/null 2>&1 || return 1 GIT_DIR=$(git rev-parse --git-dir) # If there is rebase file/d...
true
d57c79996442211f94fe8355eaf8eb3200fbde7c
Shell
peakBreaker/.dotfiles
/.scripts/statusbar/i3cal
UTF-8
567
3.109375
3
[]
no_license
#!/usr/bin/env bash get_events() { echo "$(gcalcli agenda | sed 's/ //g' | sed -r "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[mGK]//g")" } case $BLOCK_BUTTON in 1) notify-send "<b>Upcoming events:</b> $(get_events)" ;; 3) notify-send "<b>Calendar module:</b> - Shows first upcoming event - Click to show ...
true
9eb1b42c8dee7e1ca854deaf0e3e9ba4d2f8a231
Shell
ClickHouse/ClickHouse
/tests/queries/0_stateless/00365_statistics_in_formats.sh
UTF-8
1,107
2.59375
3
[ "Apache-2.0", "BSL-1.0" ]
permissive
#!/usr/bin/env bash CURDIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) # shellcheck source=../shell_config.sh . "$CURDIR"/../shell_config.sh $CLICKHOUSE_CLIENT --query="DROP TABLE IF EXISTS numbers"; $CLICKHOUSE_CLIENT --query="CREATE TABLE numbers (number UInt64) engine = MergeTree order by number"; $CLICKHOUSE_CL...
true
46b2355195cb738a13857d0e1dba2027fcf16afa
Shell
duboisf/ynab-csv-importer
/replace_payees
UTF-8
564
3.78125
4
[]
no_license
#!/bin/bash if (( $# != 1 )); then echo "USAGE: $0 CSV_FILE" >&2 exit 1 fi CSV_FILE=$1 replace() { local line=$1 local file=$2 local replacement=$(cat ./payees.txt | fzf --header="$line") [[ -z $replacement ]] && return 1 local original=$(echo "$line" | perl -wlne '/"(.*)"/ and print $1')...
true
9659e3e815b19d78ffd2c71a77426ab770bbe58f
Shell
robotanarchy/void-packages-bleeding-edge
/xbps-src
UTF-8
207
3.03125
3
[ "CC0-1.0" ]
permissive
#!/bin/bash bin="cache/void-packages/xbps-src" if [ ! -e "$bin" ]; then echo "ERROR: $bin doesn't exist yet." echo "You'll need to run overlay.sh first!" exit 1 fi cd cache/void-packages ./xbps-src $*
true
dd1d14c6cddb3c98f95f5f2abd5f787293aa0676
Shell
yuuturn/nagios_check
/nagios_check.sh
UTF-8
2,349
3.546875
4
[]
no_license
#!/bin/bash ## base info DIR=~/ HOSTALIAS=remothost.example.com HOSTADDRESS=192.0.2.10 SERVICEDESC=nagios LONGDATETIME=`LANG=en_US.UTF-8 date` ## nagios stat check CHECK_ARG=`/usr/lib64/nagios/plugins/check_nrpe -H ${HOSTADDRESS} -c check_nagios_procs` CHECK_STAT=`/bin/echo ${CHECK_ARG} | /bin/awk '{print $2}' | /usr...
true
5ef0542a09ba68e4d599bc70d0dd5f9b71599391
Shell
andela/travel_tool_deployment_scripts
/bucketPolicy/gcloud-setup.sh
UTF-8
1,937
3.953125
4
[]
no_license
#!/bin/bash # Exit upon encountering an error set -euo pipefail # Set the base route ROOT_DIR=$(pwd) # Run the script to set up the env variables and other custom functions source $ROOT_DIR/utils.sh activateServiceAccount() { # Get the env variables require PROJECT_ID $PROJECT_ID require GCLOUD_SERVICE_...
true
0d05e2803313d858bdfb2c1dfff8af0eb393fac2
Shell
mechen10/Preprocessing
/ARCHIVE/DemultiplexedData_12April2017.sh
UTF-8
925
2.84375
3
[ "MIT" ]
permissive
#!/bin/bash #=============================================================== # PART ONE: DEMULTIPLEXING # First, load in information from py. # source VAR # print project_name # print fasta_files # print Demultiplexed # print PATH # print mapping_fps # print rep_set # print reference_tree # print aligned_rep_s...
true
ee33eb1dc9a1a03fd6547998166f3d56cec8a78a
Shell
fagan2888/crop-type-mapping
/download.sh
UTF-8
648
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash function downloadBavarianCrops { mkdir data cd data wget https://syncandshare.lrz.de/dl/fiTz2V5A9qTJ22u1hV5L9KkW/BavarianCrops.zip unzip -o BavarianCrops.zip rm BavarianCrops.zip cd .. } function downloadmodels { mkdir models cd models wget https://syncandshare.lrz.de/dl/fiDPbxSuwQYJyB5G...
true
2b0f5ff42affb620946925bbbcfbe4785cb6cea5
Shell
maniaque/backup
/backup-run
UTF-8
1,099
3.859375
4
[]
no_license
#!/usr/bin/env bash function error() { cat <<< "$@" 1>&2; } # $0 - полный путь к выполняемому скрипту DIR="$( cd "$(dirname "$0")" && pwd )" BACKUP=$DIR/backup LOCATIONS=$DIR/backup.locations TARGET=/tmp/backup NUMBER=7 #source $DIR/backup-run.conf . $DIR/backup-run.conf TIMESTAMP=$(date +%Y_%m_%d_%H_%M_%S) EXIT_C...
true
5e73a30278a06b90b407772f474483522b42cb31
Shell
dorahero/Auto-recursive-training
/r_train.sh
UTF-8
2,728
2.578125
3
[]
no_license
#!/bin/bash rm -rf /home/ub/red/yolo_data rm -rf /home/ub/red/data_original rm /home/ub/red/yolov5_training/tmp/obj.names /home/ub/red/zip/init_unzip_n.sh $1 cd /home/ub/red python data_random.py --rename python modify_yaml.py --save_path yolo_data cd /home/ub/red/yolo_new/ cp /home/ub/red/yolo_new/yolov5s.pt tmp/best....
true
cff8d0588b5eb5441fd1035f60d9af504ffd03e9
Shell
patrickmcclory/k8s-local
/sync.sh
UTF-8
1,039
3.15625
3
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source ${DIR}/variables.sh rsync -uav --chmod=+r --exclude='.git' . ${REMOTE_MACHINE_USER}@${REMOTE_MACHINE_ADDRESS}:/opt/k8s-local echo 'Restarting dnsmasq and nginx just in case we have changed configs.' /usr/bin/ssh ${REMOTE_MACHINE_USER}@${REMOTE...
true
dedddd52420a7a27107abcf3f9571f12d14e1157
Shell
cm-forks/hyla
/documentation/scripts/generate_content_myblankproject.sh
UTF-8
865
2.796875
3
[ "Apache-2.0" ]
permissive
#!/bin/sh echo "Create Project" rm -rf ~hyla/MyBlankProject hyla new -b -d ~/hyla/MyBlankProject --force echo "Generate HTML Content of MyBlank project" cd ~/hyla/MyBlankProject echo "Backup _config.yaml file as we don't use it here" mv _config.yaml _config.yaml.bk echo "Add asciidoc files" hyla add --t asciidoc --...
true
bb2af978b6e5daa28e627e2573575e3f0348becc
Shell
ShadowBright/uberDevBox
/scripts/multimedia.sh
UTF-8
950
2.984375
3
[]
no_license
#!/bin/bash source ./init.sh if [ ! -n "$archive_dir" ]; then echo "archive directory not set!" exit 1 fi install_multimedia() { sudo apt-get -qq -y install ffmpeg \ libdvdread4 \ icedax \ libdvd-pkg \ e...
true
47440f1c8ad732fd020c7a0a9de82ba3dca4591a
Shell
MechanicalDragon0687/3DS-homebrew-filecheck
/ck1.bash
UTF-8
5,815
3.015625
3
[]
no_license
#!/bin/bash OFS=$IFS IFS=$'\n' shopt -s nocasematch shopt -s globstar shopt -s extglob # Updated for luma 9.1 and steelminer for 11.7-11.9 # b9stool 5.0.1 May 2019 bootndsMD5 = "175093C2784777190A83374CB1AC9E16" boot3dsxMD5 = "0DE027B0447B4470CB796AFB94B4CDF2" payloadNewUS = "349EB973101E32F5975B4D13682F4ED0" payloa...
true
d967a27ed6e3ebf5efea4fa533aa996d31710ed4
Shell
rameshpy/miscellaneous-utilities
/scripts/bash_examples/passing_arguments_to_functions_wrong.sh
UTF-8
207
3.453125
3
[]
no_license
#!/bin/bash function f1 { echo "$@" i=0 args=("$@") echo $@ for var in $@ do echo "var $i is ${args[$i]}" echo "var $i is $var" i=$(($i + 1)) done } #Let's pass in some arguments f1 a b c d
true
aebcddffa101f3ebdafcc04c165070bbd87f8edf
Shell
qwerty1023/wive-rtnl-firmware
/etc/ppp/ip-down
UTF-8
3,366
3.390625
3
[]
no_license
#!/bin/sh #include global config . /etc/scripts/global.sh PPP_IFACE="$1" PPP_TTY="$2" PPP_SPEED="$3" PPP_LOCAL="$4" PPP_REMOTE="$5" PPP_IPPARAM="$6" PPP_FIREWALL="/tmp/ppp_firewall_${PPP_IFACE}" LOG="logger -t pppd" eval `nvram_buf_get 2860 vpnPeerDNS chilli_net` $LOG "Disable forwarding for $PPP_IFACE interf...
true
78141a1445663630810cc0f18e16275b72a23697
Shell
hasanshaker/minimal-dotfiles
/common/.config/profile.d/05-common_apps.sh
UTF-8
4,589
3.109375
3
[]
no_license
#!/bin/sh # ~/.config/profile.d/05-common_apps.sh # Variables for common *nix apps # elinks # move elinks config directory if [ "$(command -v elinks 2>/dev/null)" ]; then if [ ! -d "${XDG_CONFIG_HOME}/elinks" ]; then if [ -d "${HOME}/.elinks" ]; then mv "${HOME}/.elinks" "${XDG_CONFIG_HOME}/eli...
true
5fd68a0726fecbac60447c5aa13a2dec61593776
Shell
nathanlo99/lox
/jlox/runtests.sh
UTF-8
437
3.28125
3
[]
no_license
#!/bin/bash for file in tests/*.lox ; do echo $file if [ -f ${file/.lox/.in} ]; then ./jlox $file > ${file/.lox/.out} < ${file/.lox/.in} ; else ./jlox $file > ${file/.lox/.out} ; fi tmp=${file/tests/tests\/correct} diff ${file/.lox/.out} ${tmp/.lox/.out} > ${file/.lox/.diff} ; error=$? if [ $er...
true
a839a90a318bd66a3883b024d879bfa5d90c9452
Shell
wikimedia/operations-software
/dbtools/check_candidates.sh
UTF-8
707
3.390625
3
[]
no_license
#!/bin/bash PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RETVAL=0 case "$1" in "") echo "Options:" echo "check_candidates --all (to show all candidate masters hosts)" echo "check_candidates sX (to display candidate masters hosts for the given section. Values: s1,s2,s3,s4,s5,s6,s7,s8,w...
true
4d8fb69377ef95f215c67941c785aff039db843e
Shell
getclair/hello-clair
/helloclair
UTF-8
453
3.484375
3
[]
no_license
#!/bin/bash HAYSTACK=$(which php); NEEDLE='not found' PHP_VERSION=$(php -v | head -n 1 | cut -d " " -f 2 | cut -f1-2 -d".") VERSION=${PHP_VERSION:0:1} echo "Hello, $(whoami)!" if [[ "$HAYSTACK" == *"$NEEDLE"* ]] || [[ $VERSION -lt 8 ]]; then # PHP not installed... /bin/bash -c "$(curl -fsSL https://raw.githubuse...
true
7d7fed00b66e631e59f14d14c55fda843b6307f6
Shell
TravelPay/TravelPay
/contrib/init/travelpayd.init
UTF-8
1,334
3.640625
4
[ "MIT" ]
permissive
#!/bin/bash # # travelpayd The Travel Pay core server. # # # chkconfig: 345 80 20 # description: travelpayd # processname: travelpayd # # Source function library. . /etc/init.d/functions # you can override defaults in /etc/sysconfig/travelpayd, see below if [ -f /etc/sysconfig/travelpayd ]; then . /etc/sysco...
true
2bb1f1ec6998e0a5160e9db64191ef660bb9981e
Shell
inthecloud247/dockerfiles
/moodle/start.sh
UTF-8
825
3.71875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash function provision_db() { mysql -u ${MDL_DB_USER} --password=${MDL_DB_PASS} -h ${MDL_DB_HOST} <<-EOF CREATE DATABASE IF NOT EXISTS moodle DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci; GRANT SELECT,INSERT,UPDATE,DELETE,CREATE,CREATE TEMPORARY TABLES,DROP,INDEX,ALTER ON moodle.* TO '${MDL_...
true
7a495787b9b768faec4edcdd8c3a49c6fd3dffb1
Shell
jebenexer/dotfiles
/setup/stuff.sh
UTF-8
2,488
3
3
[]
no_license
#!/bin/bash # Installs Homebrew, Git, git-extras, git-friendly, hub, Node.js, configures Apache, PHP, MySQL, etc. # Ask for the administrator password upfront sudo -v # Install Homebrew command -v brew >/dev/null 2>&1 || ruby -e "$(curl -fsSkL raw.github.com/mxcl/homebrew/go)" # Make sure we’re using the latest Hom...
true
686b3c31443e69949b15b3ddd9523981de74bf95
Shell
jhoertt/assignment-3-convert-some-documents-jhoertt
/jhoertt-convert-docs.sh
UTF-8
487
3.609375
4
[]
no_license
#!/bin/bash # Declare input argument as a variable echo "Please enter the name of the markdown file you wish to convert" read file # Convert markdown to HTML pandoc -o $file.html $file.md # Convert markdown to DOCX pandoc -o $file.docx $file.md # Convert markdown to ODT pandoc -o $file.odt $file.md # Convert markd...
true
f4a82a9e4e763e9eb8df40aa5313f413ab7f2325
Shell
jcs090218/JCSPyGm_Lib
/build_egg.sh
UTF-8
636
2.75
3
[ "MIT" ]
permissive
#!/bin/bash # ======================================================================== # $File: build_egg.sh $ # $Date: 2017-01-16 01:50:03 $ # $Revision: $ # $Creator: Jen-Chieh Shen $ # $Notice: See LICENSE.txt for modification and distribution information # Copyright (c) 2017 by Shen, Jen-Ch...
true
29369d6fa2ae4dd98b2b9db5be3ca90cc2a1c219
Shell
petronny/aur3-mirror
/gibo-git/PKGBUILD
UTF-8
1,160
3.109375
3
[]
no_license
# Maintainer: Pablo Olmos de Aguilera Corradini <pablo at glatelier dot org> pkgname=gibo-git pkgver=20130211 pkgrel=1 pkgdesc='A shell script for easily accessing gitignore boilerplates from github.com' arch=('any') url='https://github.com/simonwhitaker/gitignore-boilerplates' license=('custom:unlicense') makedepends...
true
f1d9d7ed35ea08d9b28159a6162cce30c33c3517
Shell
abesto/ansible-devenv
/facts/display_resolution.fact
UTF-8
390
2.96875
3
[]
no_license
#!/bin/bash width="$(xvidtune -show | head -n1 | awk '{print $3}')" height="$(xvidtune -show | head -n1 | awk '{print $7}')" echo '{' echo -n '"name": "' case "${width}x${height}" in 1920x1080) echo -n fhd;; 2560x1440) echo -n wqhd;; 3840x2160) echo -n 4k;; *) echo -n "${width}_${height}";; esac echo...
true
f62bf3c22e9d138a9cccebf623e0b1c7d9207c16
Shell
rikos3/VTE
/scripts/parse_multi.sh
UTF-8
3,355
3.5
4
[]
no_license
#!/bin/bash # Usage: parse the sentence in input.txt # ./parse_sv.sh <parser> # # <parser> ::= candc | easyccg | depccg parser=$1 home=$HOME c2l_dir=`cat ccg2lambda_location.txt` vte_dir=`cat vte_location.txt` candc_dir="${c2l_dir}/en/candc-1.00" easyccg_dir="${c2l_dir}/en/easyccg" #depccg_dir="${home}/depccg" #depc...
true
4c6f7da9a4c3cd894216c15bdd679866aedfd73d
Shell
minhhieuit/letportal
/src/web-apis/publish-lnx.sh
UTF-8
1,225
2.625
3
[ "MIT" ]
permissive
#!/bin/bash publishFolder=${1:-~/.letportal-pub/web-apis} if [ -d $publishFolder ] then rm $publishFolder -rf fi mkdir $publishFolder chmod 755 -R $publishFolder dotnet build ./LetPortal.Gateway/LetPortal.Gateway.csproj -c Release -o $publishFolder"/LetPortal.Gateway" chmod 755 $publishFolder"/LetPortal.Gateway/Let...
true
42bcd33b9bf055be4174f67204690e8db30eed1f
Shell
kartd19/LeoOS
/stage3/00-wifi-drivers/01-run-chroot.sh
UTF-8
746
2.6875
3
[ "BSD-3-Clause" ]
permissive
DRIVER_NAME=rtl8812au DRIVER_VERSION=5.7.0 KERNEL_VERSION=$(dpkg-query -W -f='${binary:Package}\n' linux-image-* | head -n 1 | sed 's/linux-image-//') COMMIT_SHA=76c3cf81fdc71af4338571b6404beb2ba3835a62 cd /tmp git clone -n https://github.com/aircrack-ng/rtl8812au.git cd rtl8812au/ git checkout ${COMMIT_SHA} sed -i '...
true
50e6fb82ed866a6c9c3b6b10373e96536cfe736a
Shell
jeremy-cayrasso/dtc
/bin/makeOsx
UTF-8
2,036
3.6875
4
[]
no_license
#!/bin/bash # # Welcome to the DTC install maker ! # This will produce the Mac OS X package # Maintainer: Thomas GOIRAND <thomas [ at ] goirand.fr> # please do not ship with you packages # this is only a small coder tool... # VERS=`cat version` RELS=`cat release` VERSION=$VERS"-"$RELS UNIX_TYPE=osx PKG_NAME=dtc FOLDER...
true
6551aaa5962acdcc3e9116f214de4d37f6a52947
Shell
nestor-fujitsu/ArchVMInstall
/installdesktop.zsh
UTF-8
3,197
3.765625
4
[]
no_license
#!/bin/zsh # # Part 3 of ArchVMInstall # # See https://github.com/JDCNS/ArchVMInstall for details. # # you can grab this via: wget https://github.com/JDCNS/ArchVMInstall/raw/master/installdesktop.zsh # If you went through previous script OK, you should have wget # installed already. # # This portion of the install owes...
true
96149a49fe11cf439faf098b9f375c904f811169
Shell
Rabummelzel/projektpraktikum
/protokoll/plots/test.sh
UTF-8
169
3
3
[]
no_license
#!/bin/bash mkdir $PWD/pdf for file in $PWD/*.svg do filename=$(basename $file) inkscape "$file" -d 1200 -A $PWD/pdf/"${filename%.svg}.pdf" done
true
22496a12ce51fa3130eec57aba82564d5890c7bb
Shell
mkomod/conf
/bashrc
UTF-8
685
2.625
3
[]
no_license
set -o vi [[ $- != *i* ]] && return # change dir without cd shopt -s autocd alias ls="ls -hNlg --color=auto" \ grep="grep --color=auto" \ diff="diff --color=auto" \ mv="mv -i" \ rm="rm -i" \ nvim="vim" export PS1="\[$(tput bold)\]\[\033[38;5;10m\]\u\[$(tput sgr0)\]\[$(tput sgr0)\]\[\033[38;5;15m\] \[$(tput bo...
true
8b2aebd22384b9ccc0c59f13ceb159a92226a241
Shell
b-eyselein/rose
/run_docker_test.sh
UTF-8
380
2.8125
3
[]
no_license
#!/usr/bin/env bash ACTIONS_FILE=actions.json if [[ ! -f ${ACTIONS_FILE} ]]; then touch ${ACTIONS_FILE} fi docker run -it --rm --name rose_new_test \ -v ${PWD}/options.json:/data/options.json \ -v ${PWD}/solution_robot.py:/data/solution_robot.py \ -v ${PWD}/sample_robot.py:/data/sample_robot.py \ ...
true
b95018f02d3ef20efbeb0e436a32ac023b205c21
Shell
LoneKnightz/merip_reanalysis_scripts
/run_star_se.1.sh
UTF-8
2,199
3.265625
3
[]
no_license
#script to run STAR for single end reads READDIR='' #specify experiment directory (reads should be stored within a directory inside called "fastqs" and should be formatted as ${condition}_${IP or input}_${rep #}.fastq.gz, eg. stress_IP_1.fastq.gz -- or just modify the below) STAR_INDEX='' #specify location of star ind...
true
ecfa0261a74c34433c1031d12325a08dcd5965fe
Shell
berekuk/Stream-Utils
/bash_completion
UTF-8
561
3.046875
3
[]
no_license
# vim: syntax=sh _stream() { local cur prev COMPREPLY=() cur=${COMP_WORDS[COMP_CWORD]} commands=$(perl -MStreamApp -le 'print for sort StreamApp->command_names') if [[ $COMP_CWORD -eq 1 ]] ; then COMPREPLY=( $( compgen -W "$commands" -- $cur ) ) return 0 fi prev=${COMP_WO...
true
cab08c36c05f1c72e2ca99c2fe9ad1e29c7ece4d
Shell
asaaki/luft
/cross/setup.sh
UTF-8
969
3.5
4
[]
no_license
#!/bin/sh set -xeuo pipefail ROOTFS_LOCATION=${ROOTFS_LOCATION:-$PWD/rootfs} DEB_ARCH=armhf DEB_KEYRING=/usr/share/keyrings/debian-archive-keyring.gpg DEB_RELEASE=buster USER_QEMU=/usr/bin/qemu-arm-static command -v debootstrap >/dev/null || { echo "Command deboostrap needs to be installed" exit 1 } [ -f $DEB_...
true
1780ad7b48823bedfe32ea9f779f4772939a26f6
Shell
mjc0608/se_compilers_labs
/lab1/gradeMe.sh
UTF-8
426
3.109375
3
[]
no_license
#!/bin/bash REFOUTPUT=./ref.txt function doReap(){ rm -f _tmp.txt .tmp.txt } doReap make clean >& /dev/null make > /dev/null #echo $? if [[ $? != 0 ]]; then echo "[-_-]: Compile Error" popd >& /dev/null exit 123 fi ./a.out >& _tmp.txt diff -w _tmp.txt $REFOUTPUT >& .tmp.txt if [ -s .tmp.txt ]; then echo "[...
true
7a1428c171caba665dec8efa504e07bb2760a180
Shell
iamcopper/setup_env
/install_vim/install.sh
UTF-8
715
3.078125
3
[]
no_license
#!/bin/bash echo -e "\n>>> VIM installed started\n" sudo apt install -y vim ctags CURPATH=$(dirname ${BASH_SOURCE[0]}) # copy files if [[ -d ~/.vim/bundle ]]; then plug_num=$(ls -l ~/.vim/bundle | wc -l) else rm -rf ~/.vim plug_num=0 fi if [[ $plug_num -le 2 ]]; then git clone https://github.com/VundleVim/Vundl...
true
f5f51abdb233ecc2dfb298676803a36170c63f48
Shell
Derek52/bash-scripts
/scripts/convertVideoToMp3
UTF-8
2,286
3.984375
4
[]
no_license
#!/bin/bash #if the first argument is "help" this outputs the arguments this script takes #this is easier than having to come read the code, if you forget what args this script takes. #the ${1,,} lowercases our first argument. So you can type help, Help, HELP, or anyother combo and it will still work if [ "${1,,}" == ...
true
3bfa5d7a922edbe494160af9710faae92d595b70
Shell
ExoSkeleton-Mayhem/Scripts-of-all-kinds
/helpful_random_git-scripts/gitconfig.sh
UTF-8
530
3.265625
3
[]
no_license
#!/bin/bash # For all those distro hoppers, lets setup your git credentials GIT_USERNAME="$(git config --get user.name)" GIT_EMAIL="$(git config --get user.email)" echo "Configuring Git" if [[ -z ${GIT_USERNAME} ]]; then echo "Enter your name: " read -r NAME git config --global user.name "${NAME}" fi if [[ -z ${GIT_...
true
898d683599d01ea34dba46c7ccec7d65562f0e9e
Shell
danisla/smartthings-cloud-functions
/decrypt_cmd.sh
UTF-8
277
3.125
3
[]
no_license
#!/bin/bash ENC=${1--} [[ -z "${ENC}" ]] && echo "USAGE: $0 <cmd to decrypt>" && exit 1 gcloud kms decrypt \ --location=global \ --keyring=cloud-functions \ --key=accessToken \ --ciphertext-file=<(cat -- ${ENC} | base64 -D) \ --plaintext-file=/dev/stdout
true
558b80297474c01ed71ca0d37081a866f9d78053
Shell
wsczq1/straid
/scripts/bottleneck_perf.sh
UTF-8
1,601
3.234375
3
[]
no_license
#! /bin/bash MDname="md5" blocksize="64K" # The size of user I/O requests when testing MD wthread=(1 2 4 8 16 32 64) if [ ! -d "FlameGraph" ]; then if [ $osinfo = ${ubuntu_os} ]; then echo "Ubuntu" echo_and_run echo "sudo apt install linux-tools-common -y" | bash - echo_and_run echo "sud...
true
e5b61f108dbdfe539dc2092508cf54f8b038651a
Shell
appbaseio/EScompanion
/kibana_entry.sh
UTF-8
497
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Add kibana as command if needed if [[ "$1" == -* ]]; then set -- kibana "$@" fi # Run as user "kibana" if the command is "kibana" if [ "$1" = 'kibana' ]; then args=("$@") length="$#" length=$((length-1)) for i in $(seq 1 "$length"); do kibana plugin --install ${args[$i...
true
e77746eb05a9b08aec982e411856cb1cd5778f25
Shell
jelaas/bifrost-build
/all/krb5-lib-1.8.1-1/Fetch-source.sh
UTF-8
145
2.703125
3
[]
no_license
#!/bin/bash SRC=krb5-1.8.1-signed.tar DST=/var/spool/src/$SRC [ -s "$DST" ] || wget -O $DST http://web.mit.edu/kerberos/www/dist/krb5/1.8/$SRC
true
d209b2759188ad6643b4b3021a07b49f1b89cab9
Shell
billsykes/alexa-skill-cityfacts
/publish.sh
UTF-8
204
2.53125
3
[]
no_license
#/bin/bash set -e if [ -f output.zip ] then rm output.zip fi zip -r output.zip . -x "*DS_Store" publish.sh aws lambda update-function-code --function-name getCityFacts --zip-file fileb://output.zip
true
d4dde4ad495321524ab1daaaa600ad1a468be9e4
Shell
dpovshed/mysql-to-mem
/mysqlmem_on
UTF-8
388
3.34375
3
[]
no_license
#!/bin/sh #Check if run as root if [ `whoami` != root ] then echo "You must be root to do that!" exit 1 fi service mysql stop if [ ! -s /var/lib/mysql.backup ] then cp -pRL /var/lib/mysql /var/lib/mysql.backup fi mv /var/lib/mysql /dev/shm/mysql chown -R mysql:mysql /dev/shm/mysql ln -s /dev/shm/mysql /va...
true
8ad68f2bf03c9a82d8dcc4bfce52fbbdabe500a9
Shell
wangyc666666/kvm_aoto_dep
/VhostBlockDiskDeploy_v01.sh
UTF-8
16,927
3.703125
4
[]
no_license
#!/bin/bash #echo $@ #author:wangyc #time:2017/06/01 #功能:虚拟机独立磁盘自动化部署,自动识别ssd 与hdd磁盘,ssd统作为数据盘,hdd指定创建虚拟机数量,创建相应的独立磁盘作为虚拟机系统盘使用 #剩余的hdd磁盘作为虚拟机磁盘使用 #Change:2017.6.21 serinfname=serinf10.14.sh log=/tmp/ws_vhost_auto_install_v01_block_device.log >$log result_check(){ result=`cat $log|grep "异常"|wc -l` if [[ $result -ge...
true
3ebc4cfb8fd38730e5f7dc309f3eaa08d05ce1f8
Shell
michaelmusty/.dotfiles
/ksh/kshrc
UTF-8
641
3.109375
3
[ "Unlicense", "LicenseRef-scancode-public-domain" ]
permissive
# Emacs-style key bindings; these are present in ksh88 and pdksh set -o braceexpand set -o emacs # Track locations of binaries set -o trackall # Use subshells to test these newer options, as ksh93 seems to get very upset # if you try to set an option and it doesn't exist # Try to get "**" as a recursive glob (set -o...
true
9a6acbd1a672ed2f8a9949dae4c1e797d1e85506
Shell
BrendelGroup/GoSTRIPES
/bin/fastq-deinterleave
UTF-8
546
3.875
4
[]
no_license
#! /bin/bash test $# = 1 || { cat <<EOF Usage: $0 x or: $0 x Takes x.fastq or x.fq (text or gzipped) interleaved fastq file and writes output to separate x_R1.fq x_R2.fq files. EOF exit } if [[ ! -e $1.fastq ]]; then if [[ ! -e $1.fq ]]; then echo "Problem: neither $1.fastq nor $1.fq exist. Please s...
true
d282fe34c7f54d0f2e2033934d62e70fee9f9105
Shell
intel/RetailWorkloadOrchestrator
/scripts/credtool_create_keys.sh
UTF-8
1,390
4
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # CA keys are in pem format # output keys are in pem frmat # [[ -z $1 ]] && echo "Usage: credtool_create_keys.sh <ca_key> <ca_certificate>" && exit CAKEY=$1 CACERT=$2 KEYNAME="local" create_key() { echo "Create Keys" openssl genrsa -out $1 4096 } sign_cert() { echo "Signing Key" KEY=$1 # Create ...
true
00196b5b9d69a8b66b658e35b4905ac9243346e3
Shell
petr999/skybill
/bin/ipacct_min.sh
UTF-8
1,396
3
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh CHROOT_PATH="/jails/internal" IPACCT_CHROOT_PATH="/jails/external" BIN_PREFIX="/var/www/ul/skybill/bin" CHROOT="/usr/sbin/chroot" CHROOT_CMD="$CHROOT $CHROOT_PATH $BIN_PREFIX" IPACCT_CHROOT_CMD="$CHROOT $IPACCT_CHROOT_PATH" IPACCT_MIN_LOG=$CHROOT_PATH/$BIN_PREFIX/../log/ipacct_min.log date >>$IPACCT_MIN_LOG ...
true
682ffcb0602a8e8922cdb9b89af6b19ca0fae5cb
Shell
cadia-lvl/kaldi
/egs/althingi/s5/local/update_lm.sh
UTF-8
1,063
3.46875
3
[ "Apache-2.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash -e set -o pipefail stage=-1 order=4 small=false # pruned or not carpa=true . ./cmd.sh . ./path.sh . parse_options.sh || exit 1; #date d=$(date +'%Y%m%d') prondict=$(ls -t $root_lexicon/prondict.* | head -n1) lm_trainingset=$(ls -t $root_lm_training/* | head -n1) lm_modeldir=$root_lm_modeldir/$d localdi...
true
3a4d582e4b9c3794d1d708d61e61267951301cf1
Shell
mmelqonyan/ITC-9
/Anush_Ghazaryan/Homeworks/Bash/3_23.05/updatedMillionaire.sh
UTF-8
2,897
2.953125
3
[]
no_license
#!/bin/bash echo "Millionaire Quiz" echo "----------------" echo "If you are ready to play type YES : " read YES if [ $YES=YES ]; then echo -e "\n\nQuestion 1" fi q1() { echo "****************************" echo "How many bits are in a byte?" echo "******...
true
809fecdef55f27176fa4a3abf1dfd1b7254aec71
Shell
ruchinshah/corobots
/corobot_bringup/system/install.bash
UTF-8
2,023
4.03125
4
[]
no_license
#!/bin/bash # Run this as root, from the directory containing it! # # USAGE: sudo ./install.bash [network_interface] [ros_release] # # Where network_interface defaults to whatever active wireless interface # you have, and ros_release defaults to the latest installed. interface=$(iwconfig 2>/dev/null | awk '{print $1}...
true
5acc28604100ae4d26cf8782a8369fdeac059e6f
Shell
zhiwenf/script
/bold.sh
UTF-8
499
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/sh #set -x #It runs on Mac OS, sed(BSD) file=$1 n=$2 m=$3 while read line do if [ "`echo $line | grep hline`" != "" ] then echo "\\"$line continue fi mmin="100000000" for v in `echo $line | sed 's/&//g' | sed 's/\([ ][ ]*\)/ /g' | cut -d ' ' -f$n-$m` do if [ "$...
true
2febd06e2e92b9dee5e7685cb7d9eb672aaed094
Shell
prashanth26/utils
/orphan_disks/list_orphan_disks.sh
UTF-8
637
3.515625
4
[]
no_license
#!/bin/bash # Usage of this script run # bash delete_orphan_disks.sh <AWS_ACCESS_KEY_ID> <AWS_ACCESS_SECRET> <REGION_FOR_DISKS> export AWS_ACCESS_KEY_ID=$1 export AWS_SECRET_ACCESS_KEY=$2 export region=$3 aws_output=$(aws ec2 describe-volumes --output json --region $region) orphan_disk_list=$(echo $aws_output |...
true
05ff81103e7ae07382401493da36167a6cd1d113
Shell
avallonking/ScienceScripts
/tar+xz.sh
UTF-8
63
2.53125
3
[]
no_license
for i in * do tar -cf $i.tar $i xz $i.tar rm -rf $i done
true
754ab4eec7558ae24fb810b9fb144eafe39ddd2f
Shell
treidel/lambda
/upload.sh
UTF-8
245
3.28125
3
[]
no_license
#!/bin/bash DIRS=`ls -l | grep "^d" | awk '{print $9}'` for d in $DIRS; do echo "uploading $d" ZIPFILE="$d.zip" aws lambda update-function-code --function-name $d --zip-file fileb://$ZIPFILE rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi done
true